gexbot api
classic

gex major levels

Provides the key GEX levels (Zero Gamma, Major Positive/Negative GEX by OI and Volume) from the classic GEX model. This is a slimmed-down version of the main GE

GET/{TICKER}/classic/{AGGREGATION_PERIOD}/majorsClassic Tier

chart

Powers the gexbot classic chart.

Provides the key GEX levels (Zero Gamma, Major Positive/Negative GEX by OI and Volume) from the classic GEX model. This is a slimmed-down version of the main GEX chain endpoint.

Subscription

Requires a Classic subscription or higher.

Request

Example: /SPX/classic/full/majors

Headers

NameTypeDescription
AuthorizationstringRequired. Format: "Bearer <YOUR_API_KEY>"
User-AgentstringRequired. Identify your client application.
AcceptstringRequired. Set to "application/json".

Path parameters

NameTypeDescription
TICKERstringDesired ticker symbol (e.g., SPX).
AGGREGATION_PERIODstringAggregation period: full, zero, or one.

Response

FieldTypeDescription
timestampnumberThe Unix timestamp of when the data was generated.
tickerstringThe ticker symbol for the requested asset.
spotnumberThe spot price of the underlying asset.
mpos_volnumberThe strike with the most positive GEX by volume.
mpos_oinumberThe strike with the most positive GEX by open interest.
mneg_volnumberThe strike with the most negative GEX by volume.
mneg_oinumberThe strike with the most negative GEX by open interest.
zero_gammanumberThe center of the options complex, according to a spline interpolation on gex by volume.
net_gex_volnumberTotal net gamma exposure by volume.
net_gex_oinumberTotal net gamma exposure by open interest.
{
  "timestamp": 1753283591,
  "ticker": "SPX",
  "spot": 6326.45,
  "mpos_vol": 6339.92,
  "mpos_oi": 6400,
  "mneg_vol": 6300,
  "mneg_oi": 6200,
  "zero_gamma": 6323.39,
  "net_gex_vol": 41199.07077,
  "net_gex_oi": 57505.37699
}
{
  "type": "object",
  "properties": {
    "timestamp": {
      "type": "integer",
      "format": "int64"
    },
    "ticker": {
      "type": "string",
      "minLength": 2,
      "maxLength": 5
    },
    "spot": {
      "type": "number",
      "format": "double"
    },
    "mpos_vol": {
      "type": "number"
    },
    "mpos_oi": {
      "type": "integer"
    },
    "mneg_vol": {
      "type": "integer"
    },
    "mneg_oi": {
      "type": "integer"
    },
    "zero_gamma": {
      "type": "number"
    },
    "net_gex_vol": {
      "type": "number"
    },
    "net_gex_oi": {
      "type": "number"
    }
  },
  "additionalProperties": false
}
type: object
properties:
  timestamp:
    type: integer
    format: int64
  ticker:
    type: string
    minLength: 2
    maxLength: 5
  spot:
    type: number
    format: double
  mpos_vol:
    type: number
  mpos_oi:
    type: integer
  mneg_vol:
    type: integer
  mneg_oi:
    type: integer
  zero_gamma:
    type: number
  net_gex_vol:
    type: number
  net_gex_oi:
    type: number
additionalProperties: false

On this page